# Uses of Enum Class
org.apache.solr.client.solrj.util.SolrIdentifierValidator.IdentifierType

Packages that use SolrIdentifierValidator.IdentifierType
Package
Description
org.apache.solr.client.solrj.util
Utilities for Solr client applications.

## Uses of SolrIdentifierValidator.IdentifierType in org.apache.solr.client.solrj.util

Methods in org.apache.solr.client.solrj.util that return SolrIdentifierValidator.IdentifierType
Modifier and Type
Method
Description
`static SolrIdentifierValidator.IdentifierType`
SolrIdentifierValidator.IdentifierType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static SolrIdentifierValidator.IdentifierType[]`
SolrIdentifierValidator.IdentifierType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.apache.solr.client.solrj.util with parameters of type SolrIdentifierValidator.IdentifierType
Modifier and Type
Method
Description
`static String`
SolrIdentifierValidator.`getIdentifierMessage(SolrIdentifierValidator.IdentifierType identifierType, String name)`
`static String`
SolrIdentifierValidator.`validateName(SolrIdentifierValidator.IdentifierType type, String name)`